LlvmDependencyCalculator2
Date: 2011-05-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.cdt.managedbuilder.llvm.makegen
Class LlvmDependencyCalculator2

    java.lang.Object
      org.eclipse.cdt.managedbuilder.makegen.gnu.DefaultGCCDependencyCalculator2
          org.eclipse.cdt.managedbuilder.llvm.makegen.LlvmDependencyCalculator2

All Implemented Interfaces:
  org.eclipse.cdt.managedbuilder.makegen.IManagedDependencyGenerator2, org.eclipse.cdt.managedbuilder.makegen.IManagedDependencyGeneratorType

    public class LlvmDependencyCalculator2

extends org.eclipse.cdt.managedbuilder.makegen.gnu.DefaultGCCDependencyCalculator2

Field Summary

Fields inherited from interface org.eclipse.cdt.managedbuilder.makegen.IManagedDependencyGeneratorType
`TYPE_BUILD_COMMANDS, TYPE_COMMAND, TYPE_CUSTOM, TYPE_EXTERNAL, TYPE_INDEXER, TYPE_NODEPENDENCIES, TYPE_NODEPS, TYPE_OLD_TYPE_LIMIT, TYPE_PREBUILD_COMMANDS`

Constructor Summary
`LlvmDependencyCalculator2()`

Method Summary
`org.eclipse.cdt.managedbuilder.makegen.IManagedDependencyInfo` | `getDependencySourceInfo(org.eclipse.core.runtime.IPath source, org.eclipse.cdt.managedbuilder.core.IBuildObject buildContext, org.eclipse.cdt.managedbuilder.core.ITool tool, org.eclipse.core.runtime.IPath topBuildDirectory)`
`org.eclipse.cdt.managedbuilder.makegen.IManagedDependencyInfo` | `getDependencySourceInfo(org.eclipse.core.runtime.IPath source, org.eclipse.core.resources.IResource resource, org.eclipse.cdt.managedbuilder.core.IBuildObject buildContext, org.eclipse.cdt.managedbuilder.core.ITool tool, org.eclipse.core.runtime.IPath topBuildDirectory)`

Methods inherited from class org.eclipse.cdt.managedbuilder.makegen.gnu.DefaultGCCDependencyCalculator2
`getCalculatorType, getDependencyFileExtension, postProcessDependencyFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LlvmDependencyCalculator2

    public LlvmDependencyCalculator2()

Method Detail

### getDependencySourceInfo

    public org.eclipse.cdt.managedbuilder.makegen.IManagedDependencyInfo getDependencySourceInfo(org.eclipse.core.runtime.IPath source,
                                                                                                 org.eclipse.core.resources.IResource resource,
                                                                                                 org.eclipse.cdt.managedbuilder.core.IBuildObject buildContext,
                                                                                                 org.eclipse.cdt.managedbuilder.core.ITool tool,
                                                                                                 org.eclipse.core.runtime.IPath topBuildDirectory)

  Specified by:
    `getDependencySourceInfo` in interface `org.eclipse.cdt.managedbuilder.makegen.IManagedDependencyGenerator2`
  Overrides:
    `getDependencySourceInfo` in class `org.eclipse.cdt.managedbuilder.makegen.gnu.DefaultGCCDependencyCalculator2`

### getDependencySourceInfo

    public org.eclipse.cdt.managedbuilder.makegen.IManagedDependencyInfo getDependencySourceInfo(org.eclipse.core.runtime.IPath source,
                                                                                                 org.eclipse.cdt.managedbuilder.core.IBuildObject buildContext,
                                                                                                 org.eclipse.cdt.managedbuilder.core.ITool tool,
                                                                                                 org.eclipse.core.runtime.IPath topBuildDirectory)

  Specified by:
    `getDependencySourceInfo` in interface `org.eclipse.cdt.managedbuilder.makegen.IManagedDependencyGenerator2`
  Overrides:
    `getDependencySourceInfo` in class `org.eclipse.cdt.managedbuilder.makegen.gnu.DefaultGCCDependencyCalculator2`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD